Overview

Latest PyPI version

WARNING

Since version 1.5 the pyDoubles API is provided as a wrapper to doublex. However, there are small differences. pyDoubles matchers are not supported anymore, although you may get the same feature using standard hamcrest matchers. Anyway, old pyDoubles matchers are provided as hamcrest aliases, so your old pyDoubles tests should work fine with minimal changes.

In most cases the only required change in your code is the module name, that change from:

import pyDoubles.framework.*

to:

from doublex.pyDoubles import *

If you have problems migrating from pyDoubles to doublex, please ask for help in the discussion forum or in the issue tracker.

Documentation is available at http://pydoubles.readthedocs.org/.